#import "QCSafeStringPort.h"

// SafeStringPorts do some checks to prevent UI crashes.  
// Currently, the following protections are added:
//    * Tooltip text is limited to 64 characters (huge tooltips crash quartz)

@implementation QCSafeStringPort
-(id)tooltipString
{
	NSRange substringRange;

	if([_string length] < 64)
		return _string;
	
	substringRange.location = 0;
	substringRange.length = 64;
	
	return [_string substringWithRange:substringRange];
}
@end