#import <QCPort.h>

@interface QCColorPort : QCPort
{
    float _red;	// 96 = 0x60
    float _green;	// 100 = 0x64
    float _blue;	// 104 = 0x68
    float _alpha;	// 108 = 0x6c
}

- (float)redComponent;	// IMP=0x97b29507
- (float)greenComponent;	// IMP=0x97b29512
- (float)blueComponent;	// IMP=0x97b2951d
- (float)alphaComponent;	// IMP=0x97b29528
- (void)getRed:(float *)fp8 green:(float *)fp12 blue:(float *)fp16 alpha:(float *)fp20;	// IMP=0x97afb473
- (void)setRedComponent:(float)fp8;	// IMP=0x97b29536
- (void)setGreenComponent:(float)fp8;	// IMP=0x97b29579
- (void)setBlueComponent:(float)fp8;	// IMP=0x97b295bc
- (void)setAlphaComponent:(float)fp8;	// IMP=0x97b295ff
- (void)setRed:(float)fp8 green:(float)fp12 blue:(float)fp16 alpha:(float)fp20;	// IMP=0x97ae78b6

@end

