#import "QCPatch.h"
#import "QCBooleanPort.h"
#import "QCSafeStringPort.h"

@interface ShellCommandPatch : QCPatch
{
    QCBooleanPort	*inputTrigger;
	QCSafeStringPort	*inputCommand;
	
    QCSafeStringPort	*outputOutput;
	BOOL			oldValue;
}

+ (int)executionMode;
+ (BOOL)allowsSubpatches;
+ (int)timeMode;

- (id)initWithIdentifier:(id)fp8;

- (id)setup:(id)fp8;
- (void)cleanup:(id)fp8;

- (void)enable:(id)fp8;
- (void)disable:(id)fp8;

- (BOOL)execute:(id)fp8 time:(double)fp12 arguments:(id)fp20;
+(void)runCommand:(id)object;
@end